package com.bonus.canteen.core.order.common.constants;


import com.bonus.canteen.core.common.enums.AllocMealtimeTypeEnum;
import com.bonus.common.houqin.i18n.I18n;

import java.time.LocalTime;

public class OrderTips {
   private OrderTips() {
      throw new IllegalStateException("Utility class");
   }

   public static String noOrder() {
      return I18n.getMessage("order.no-order", new Object[0]);
   }

   public static String orderStateWrong(Integer orderState) {
      return I18n.getMessage("order.wrong-order-state", new Object[]{OrderStateEnum.getDesc(orderState)});
   }

   public static String correctOrderStateWrong(Integer orderState) {
      return I18n.getMessage("order.buffet.correct-pay-state-wrong", new Object[]{OrderStateEnum.getDesc(orderState)});
   }

   public static String refundLackDetail() {
      return I18n.getMessage("order.refund.lack-detail", new Object[0]);
   }

   public static String refundDetailNotExists() {
      return I18n.getMessage("order.refund.detail-not-exists", new Object[0]);
   }

   public static String refundOutOfTime(String deadLineTime) {
      return I18n.getMessage("order.refund.out-of-time", new Object[]{deadLineTime});
   }

   public static String refundFailedOfTime(Integer mealtimeType, LocalTime deadLineTime) {
      return I18n.getMessage("order.refund.failed-by-time", new Object[]{AllocMealtimeTypeEnum.getDescByKey(mealtimeType), deadLineTime});
   }

   public static String mobileNoDelivery() {
      return I18n.getMessage("order.mobile.no-delivery", new Object[0]);
   }

   public static String stallInRest(String stallName) {
      return I18n.getMessage("alloc_stall_is_rest", new Object[]{stallName});
   }

   public static String paramIllegal(String paramName) {
      String var10000 = I18n.getMessage("order.param-illegal", new Object[0]);
      return var10000 + paramName;
   }
}
